Eclipse Foundation Member
Groovy/Grails Tool Suite (GGTS) for Eclipse

Add this URL to your Eclipse Installation to reach this solution's update site.

Luna (4.4)


Kepler (4.3)


Juno (4.2, 3.8)


Previous to Juno (<=4.1)


Learn more...

Details Group Tabs

cganekal's picture

Hello,

I have Eclipse Luna 4.4 and installed Groovy in it.
Now trying to debug the groovy code and unfortunately debug points are not working.
could you please suggest me how to do it or refer me to some tutorial.

Thanks in Advance!

cstott's picture

Hi, is this going to be supported on Eclipse Version 4.5.1? when I try to install it, I get an error stating "the following solutions are not compatible with this version of Eclipse"

mlippert's picture

Short answer: No.
Long answer: The Groovy/Grails Tool Suite is not being developed anymore and is not being updated for newer Eclipse versions. There is an updated version of Groovy-Eclipse (the Groovy integration part of it) that doesn't undergo active development either, but is at least installable into Eclipse 4.5 and even 4.6. The update sites for those versions are: http://dist.springsource.org/snapshot/GRECLIPSE/e4.5/ and http://dist.springsource.org/snapshot/GRECLIPSE/e4.6/

akaushalp74's picture

Installed this plugin and eclipse stopped connecting to Jboss for debugging,

mlippert's picture

Can you describe the steps how to reproduce this in more detail? What version of Eclipse do you use for this? And where did you install what version of the JBoss tools from?